Package org.apache.qpid.proton.codec.messaging

# Class DataType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<Data,Binary>
org.apache.qpid.proton.codec.messaging.DataType

All Implemented Interfaces:
  `AMQPType<Data>`, `DescribedTypeConstructor<Data>`

public class DataType extends AbstractDescribedType<Data,Binary> implements DescribedTypeConstructor<Data>

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<Data>`
`getTypeClass()`
`Data`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected Binary`
`wrap(Data val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<Data,Binary>`

### wrap

protected Binary wrap(Data val)

Specified by:
  `wrap` in class `AbstractDescribedType<Data,Binary>`

### newInstance

public Data newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<Data>`

### getTypeClass

public Class<Data> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Data>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<Data>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)